# Comandi utili

- **apropos**: se non si ricorda il nome esatto di un comando, si puo' utilizzare *apropos* per ricercare tra i nomi e le descrizioni delle pagine man.
- **pwd**: visualizza la directory di lavoro corrente
- **uname**: visualizza informazioni sul sistema
- **man**: permette di accedere alla documentazione sui comandi
- **type**: visualizza la posizione nel filesystem *e il tipo* di uno o piu' comandi

```bash
type gs
gs ha "git status" come alias

type uname
uname è /usr/bin/uname
```
- **which**: visualizza la posizione nel filesystem di un comando
- **lsblk**: elenca i dispositivi a blocchi
- **bzcat**: permette la lettura di file compressi tramite il metodo bzip2
- **xzcat**: xz
- **zcat**: gzip
- **nl**: *number line*, visualizza il numero di linee di un file, anteponendo il numero ad ogni riga
- **tr**: *translate*, permette di sostituire caratteri
- **cut**: estrapola parti di testo come se fossero campi, identificandoli tramite un delimitatore
- **paste**: unisce i file in colonne
- **cat**: funziona anche con dati binari, come l'invio del contenuto di un dispositivo a blocchi a un file (o per unire diversi file video in un unico grande file)